# Dust

Install and manage multiple CHICKEN versions.

## Resources

 * Sources: <https://git.sr.ht/~evhan/dust>
 * Issues: <https://todo.sr.ht/~evhan/dust>
 * Documentation: <https://api.call-cc.org/5/doc/dust>

## Description

Dust is a binary-based CHICKEN version manager. It lets one quickly
install multiple CHICKEN versions and switch between them.

### Platform Support

The following platforms are supported:

 - amd64 FreeBSD
 - amd64 GNU libc-based Linux
 - amd64 musl-based Linux

More platforms may be added in the future, however this is not a
priority. If you'd like support for a particular platform, please let
the author know.

### Available Versions

The following versions can be installed:

 - 4.13.0
 - 5.0.0
 - master

## Installation

On Linux, you can download a precompiled version of the application:

```bash
wget -O dust https://foldling.org/dust/dust-$(uname -m)-linux
chmod +x dust
```

Or you can build the program from source (this requires an existing
CHICKEN version 5.0 or newer):

```bash
chicken-install -n dust
```

## Configuration

Dust operates in one of two modes. It can either install CHICKENs into a
system-wide installation directory (`/opt/dust`) or into a user-specific
directory (specified by `DUST_HOME`).

In both cases, user files are isolated from one another, so this is
really just a question of where you want to put things. In the former
case, you'll need to initialise the installation directory by running
`dust init` (as root), while the latter can be used without root
permissions.

## Usage

Refer to the program's help text:

```none
Usage: dust <command> ...

  status
  init <group>
  install <version> [<name>]
  switch <version>
  uninstall <version>

```

## Author

Evan Hanson <evhan@foldling.org>

## License

Dust is licensed under the [3-clause BSD license][license].

[license]: https://opensource.org/licenses/BSD-3-Clause
